Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class LMAccess.USER_INFO_1

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.LMAccess.USER_INFO_1

Enclosing interface:
  LMAccess

    public static class LMAccess.USER_INFO_1

extends com.sun.jna.Structure

The USER_INFO_1 structure contains information about a user account, including account name, password data, privilege level, and the path to the user's home directory.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`com.sun.jna.WString` | `usri1_comment` Pointer to a Unicode string that contains a comment to associate with the user account.
`int` | `usri1_flags` Specifies a DWORD value that determines several features.
`com.sun.jna.WString` | `usri1_home_dir` Pointer to a Unicode string specifying the path of the home directory for the user specified in the usri1_name member.
`com.sun.jna.WString` | `usri1_name` Pointer to a Unicode string that specifies the name of the user account.
`com.sun.jna.WString` | `usri1_password` Pointer to a Unicode string that specifies the password of the user indicated by the usri1_name member.
`int` | `usri1_password_age` Specifies a DWORD value that indicates the number of seconds that have elapsed since the usri1_password member was last changed.
`int` | `usri1_priv` Specifies a DWORD value that indicates the level of privilege assigned to the usri1_name member.
`com.sun.jna.WString` | `usri1_script_path` Pointer to a Unicode string specifying the path for the user's logon script file.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`LMAccess.USER_INFO_1()`
`LMAccess.USER_INFO_1(com.sun.jna.Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### usri1_name

    public com.sun.jna.WString usri1_name

  Pointer to a Unicode string that specifies the name of the user account.

### usri1_password

    public com.sun.jna.WString usri1_password

  Pointer to a Unicode string that specifies the password of the user indicated by the usri1_name member.

### usri1_password_age

    public int usri1_password_age

  Specifies a DWORD value that indicates the number of seconds that have elapsed since the usri1_password member was last changed.

### usri1_priv

    public int usri1_priv

  Specifies a DWORD value that indicates the level of privilege assigned to the usri1_name member.

### usri1_home_dir

    public com.sun.jna.WString usri1_home_dir

  Pointer to a Unicode string specifying the path of the home directory for the user specified in the usri1_name member.

### usri1_comment

    public com.sun.jna.WString usri1_comment

  Pointer to a Unicode string that contains a comment to associate with the user account.

### usri1_flags

    public int usri1_flags

  Specifies a DWORD value that determines several features.

### usri1_script_path

    public com.sun.jna.WString usri1_script_path

  Pointer to a Unicode string specifying the path for the user's logon script file.

Constructor Detail

### LMAccess.USER_INFO_1

    public LMAccess.USER_INFO_1()

### LMAccess.USER_INFO_1

    public LMAccess.USER_INFO_1(com.sun.jna.Pointer memory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD